## Name

DROP VIEW — remove a view

## Synopsis

    DROP VIEW name [, ...] [ CASCADE | RESTRICT ]

## Description

`DROP VIEW` drops an existing view. To execute this command you must be the owner of the view.

## Parameters

`name`

  The name (optionally schema-qualified) of the view to remove.

`CASCADE`

  Automatically drop objects that depend on the view (such as other views).

`RESTRICT`

  Refuse to drop the view if any objects depend on it. This is the default.

## Examples

This command will remove the view called `kinds`:

    DROP VIEW kinds;

## Compatibility

This command conforms to the SQL standard, except that the standard only allows one view to be dropped per command.

## See Also

CREATE VIEW